import { EventEmitter } from '@angular/core';
import { GridMenuItem } from '../../types/grid-menu-item';
import * as i0 from "@angular/core";
export declare class GridMenuItemComponent {
    item: GridMenuItem;
    iconIsFromFontAwesome: boolean;
    clickedGridMenuItem: EventEmitter<GridMenuItem>;
    fontAwesomePrefix: 'fal' | 'fas';
    onClick(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    get iconFontAwesomeClassName(): string;
    get initialLetter(): string;
    get disabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridMenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridMenuItemComponent, "s-grid-menu-item", never, { "item": { "alias": "item"; "required": true; }; "iconIsFromFontAwesome": { "alias": "iconIsFromFontAwesome"; "required": false; }; }, { "clickedGridMenuItem": "clickedGridMenuItem"; }, never, never, false, never>;
}
